<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (1.8.0_151) on Mon Jul 16 20:56:31 CLT 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class controllers.CategoriaController</title>
<meta name="date" content="2018-07-16">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class controllers.CategoriaController";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../controllers/CategoriaController.html" title="class in controllers">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../overview-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?controllers/class-use/CategoriaController.html" target="_top">Frames</a></li>
<li><a href="CategoriaController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class controllers.CategoriaController" class="title">Uses of Class<br>controllers.CategoriaController</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#models">models</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#views">views</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="models">
<!--   -->
</a>
<h3>Uses of <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a> in <a href="../../models/package-summary.html">models</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../models/package-summary.html">models</a> with type parameters of type <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Libro.</span><code><span class="memberNameLink"><a href="../../models/Libro.html#categorias_objects">categorias_objects</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../models/package-summary.html">models</a> that return types with arguments of type <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Libro.</span><code><span class="memberNameLink"><a href="../../models/Libro.html#getCategorias_objects--">getCategorias_objects</a></span>()</code>
<div class="block">Obtiene el valor de editorial_id</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../models/package-summary.html">models</a> with type arguments of type <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Libro.</span><code><span class="memberNameLink"><a href="../../models/Libro.html#setCategorias_objects-java.util.ArrayList-">setCategorias_objects</a></span>(java.util.ArrayList&lt;<a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&gt;&nbsp;categorias_objects)</code>
<div class="block">Setea los objectos de categorias_objects</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="views">
<!--   -->
</a>
<h3>Uses of <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a> in <a href="../../views/package-summary.html">views</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../views/package-summary.html">views</a> declared as <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></code></td>
<td class="colLast"><span class="typeNameLabel">CategoryEditNew.</span><code><span class="memberNameLink"><a href="../../views/CategoryEditNew.html#categoria">categoria</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../views/package-summary.html">views</a> with parameters of type <a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CategoryEditNew.</span><code><span class="memberNameLink"><a href="../../views/CategoryEditNew.html#set_cat_controller-controllers.CategoriaController-">set_cat_controller</a></span>(<a href="../../controllers/CategoriaController.html" title="class in controllers">CategoriaController</a>&nbsp;cat_controller)</code>
<div class="block">Tiene como parametro una instancia de CategoriaController con lo que a la vista actual se le 
 setean los valores del formulario y se modifican unas etiquetas, esto
 se ejecuta solo cuando se esta editando</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../controllers/CategoriaController.html" title="class in controllers">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../overview-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?controllers/class-use/CategoriaController.html" target="_top">Frames</a></li>
<li><a href="CategoriaController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
